<div>
    <div id="subheader">
        <div class="item" id="sadmin">
            <dx-tabs [width]="ds.tabsWidth" [dataSource]="subnavTabs" [scrollingEnabled]="true" [scrollByContent]="true" [showNavButtons]="true"
                [selectedIndex]="0" (onItemClick)="reloadData($event)"></dx-tabs>

            <!-- <div class="admin-item">
                <div [class.item-active]="current == 'st'" (click)="reloadData('st')">Stock</div>
            </div> -->
        </div>
    </div>
    <br/>

    <div [hidden]="current != 'st'">
        
    </div>

    <div [hidden]="current != 'al'">
        <div>
            <!-- <div class="daySwitcher">
                <span class="switcher-prev">
                    <span></span>
                </span>
                <span class="date"></span>
                <span class="switcher-next"><span></span></span>
            </div> -->
            <!-- <dx-chart id="chart" [dataSource]="dsTransNoTrip" title="Number of Trips" palette="Harmony Light" [valueAxis]="[{
        name: 'frequency',
        position: 'left',
        tickInterval: 300
    }, {
        name: 'percentage',
        position: 'right',
        showZero: true,
        label: {
            customizeText: customizeLabelText
        },
        constantLines: [{
            value: 80,
            color: '#fc3535',
            dashStyle: 'dash',
            width: 2,
            label: { visible: false }
        }],
        tickInterval: 20,
        valueMarginsEnabled: false
    }]">
                <dxo-argument-axis>
                    <dxo-label overlappingBehavior="stagger"></dxo-label>
                </dxo-argument-axis>
                <dxo-tooltip [enabled]="true" [shared]="true" [customizeTooltip]="customizeTooltip"></dxo-tooltip>
                <dxo-common-series-settings argumentField="name"></dxo-common-series-settings>
                <dxi-series type="bar" valueField="f1" axis="frequency" name="Complaints frequency" color="#fac29a"></dxi-series>
                <dxi-series type="spline" valueField="cumulativePercent" axis="percentage" name="Cumulative percentage" color="#6b71c3"></dxi-series>
                <dxo-legend verticalAlignment="top" horizontalAlignment="center">
                </dxo-legend>
            </dx-chart> -->
        </div>
        <div width='100%' height='65px' class="header-box">
            <div class='header-item'>
                <div class="label-item">Transporter:</div>
                <dx-select-box class="item-box" [(value)]="dashTransporter" [dataSource]="dsTransporter" valueExpr='name' displayExpr='name'
                    (onValueChanged)="onDashValChanged($event)"></dx-select-box>
            </div>
            <div class='header-item'>
                <div class="label-item">From date:</div>
                <dx-date-box class="item-box" type='date' width='150px' [(value)]="dashFromDate" displayFormat='dd.MM.yyyy' (onValueChanged)="onDashValChanged($event)"></dx-date-box>
            </div>
            <div class='header-item'>
                <div class="label-item">Thru date:</div>
                <dx-date-box class="item-box" type='date' width='150px' [(value)]="dashThruDate" displayFormat='dd.MM.yyyy' (onValueChanged)="onDashValChanged($event)"></dx-date-box>
            </div>
        </div>
        <dx-box direction='row' width='100%' height='100%' style="margin-top:10px">
            <dxi-item [ratio]='3' [baseSize]='150'>
                <div style='display: inline-block'>
                    <div class="num-box blue">
                        <h1>{{dsDashboardInfo.volTransported}}</h1>
                        <h4>Total Volumes</h4>
                        <h5>transported [to.]</h5>
                    </div>
                    <div class="num-box blue">
                        <h1>{{dsDashboardInfo.noTrips}}</h1>
                        <h4>No. of trips</h4>
                        <h5></h5>
                    </div>
                    <div class="num-box red">
                        <h1>{{dsDashboardInfo.unitCost}}</h1>
                        <h4>Units cost [USD/to.]</h4>
                        <h5></h5>
                    </div>
                    <div class="num-box green">
                        <h1>{{dsDashboardInfo.noTrucks}}</h1>
                        <h4>No. of trucks</h4>
                        <h5>used [no.]</h5>
                    </div>
                    <div class="num-box green">
                        <h1>{{dsDashboardInfo.orderStation}}</h1>
                        <h4>No. of station</h4>
                        <h5>deliveries [no.]</h5>
                    </div>
                    <div class="num-box purple">
                        <h1>{{dsDashboardInfo.orderProcessed}}</h1>
                        <h4>No. of orders</h4>
                        <h5>processed [no.]</h5>
                    </div>
                    <div class="num-box red">
                        <h1>{{dsDashboardInfo.volDelivStation}}</h1>
                        <h4>Volumes delivered</h4>
                        <h5>to station [to.]</h5>
                    </div>
                    <div class="num-box blue">
                        <h1>{{dsDashboardInfo.volDelivClients}}</h1>
                        <h4>Volumes delivered</h4>
                        <h5>to clients [to.]</h5>
                    </div>
                </div>
            </dxi-item>
            <dxi-item [ratio]='2' [baseSize]='150'>
                <dx-circular-gauge [value]="dsDashboardInfo.noReschTrips" width='300px' style="display: inline-block;width: 300px;">
                    <dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="10">
                        <dxo-tick color="#536878"></dxo-tick>
                    </dxo-scale>
                    <dxo-range-container palette='Vintage'>
                        <dxi-range [startValue]="0" [endValue]="20" color="#77DD77"></dxi-range>
                        <dxi-range [startValue]="20" [endValue]="40" color="#b0f442"></dxi-range>
                        <dxi-range [startValue]="40" [endValue]="60" color="#E6E200"></dxi-range>
                        <dxi-range [startValue]="60" [endValue]="80" color="#f05b41"></dxi-range>
                        <dxi-range [startValue]="80" [endValue]="100" color="#92000A"></dxi-range>
                    </dxo-range-container>
                    <dxo-title text="Rescheduled Orders">
                        <dxo-font [size]="28"></dxo-font>
                    </dxo-title>
                </dx-circular-gauge>
                <div style="font-size:20px;margin-left:150px">{{dsDashboardInfo.noReschTrips}} %</div>
            </dxi-item>
            <dxi-item [ratio]='2' [baseSize]='150'>
                <dx-circular-gauge [value]="dsDashboardInfo.noDelivTrips" width='300px' style="display: inline-block;width: 300px;">
                    <dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="10">
                        <dxo-tick color="#536878"></dxo-tick>
                    </dxo-scale>
                    <dxo-range-container palette='Vintage'>
                        <dxi-range [startValue]="0" [endValue]="20" color="#92000A"></dxi-range>
                        <dxi-range [startValue]="20" [endValue]="40" color="#f05b41"></dxi-range>
                        <dxi-range [startValue]="40" [endValue]="60" color="#E6E200"></dxi-range>
                        <dxi-range [startValue]="60" [endValue]="80" color="#b0f442"></dxi-range>
                        <dxi-range [startValue]="80" [endValue]="100" color="#77DD77"></dxi-range>
                    </dxo-range-container>
                    <dxo-title text="Delivered Orders">
                        <dxo-font [size]="28"></dxo-font>
                    </dxo-title>
                </dx-circular-gauge>
                <div style="font-size:20px;margin-left:150px">{{dsDashboardInfo.noDelivTrips}} %</div>
            </dxi-item>
        </dx-box>
    </div>
</div>